- 2023-07-04
  - Defined scope.
  - Published internal release announcement.
  - Created release notes draft.
- 2023-07-13
  - Received notification that testing has finished.
  - Created build files.
  - Verified that building Firefox extension from source archive yields same XPI file.
  - Created MR for downloads repo.
  - Published to CWS.
  - Published to Microsoft store.
  - Published to Opera store.
- 2023-07-14
  - Noticed that release is live on CWS.
  - Noticed that release is live on Microsoft store.
  - Noticed that release is live on Opera store.
